stan::math::fvar< T > Struct Template Reference

`#include <fvar.hpp>`

## Public Types

typedef fvar | value_type

## Public Member Functions

T | val () const
T | tangent () const
| fvar ()
| fvar (const fvar< T > &x)
| fvar (const T &v)
template<typename V >
| fvar (const V &v, typename boost::enable_if_c< ad_promotable< V, T >::value >::type *dummy=0)
template<typename TV , typename TD >
| fvar (const TV &val, const TD &deriv)
fvar< T > & | operator+= (const fvar< T > &x2)
fvar< T > & | operator+= (double x2)
fvar< T > & | operator-= (const fvar< T > &x2)
fvar< T > & | operator-= (double x2)
fvar< T > & | operator*= (const fvar< T > &x2)
fvar< T > & | operator*= (double x2)
fvar< T > & | operator/= (const fvar< T > &x2)
fvar< T > & | operator/= (double x2)
fvar< T > & | operator++ ()
fvar< T > | operator++ (int)
fvar< T > & | operator-- ()
fvar< T > | operator-- (int)

## Public Attributes

T | val_
T | d_

## Friends

std::ostream & | operator<< (std::ostream &os, const fvar< T > &v)

## Detailed Description

### template<typename T>
struct stan::math::fvar< T >

Definition at line 14 of file fvar.hpp.

## Member Typedef Documentation

## value_type

template<typename T>

typedef fvar stan::math::fvar< T >::value_type

Definition at line 21 of file fvar.hpp.

## Constructor & Destructor Documentation

## fvar() [1/5]

template<typename T>

stan::math::fvar< T >::fvar | ( |  | ) |

inline

Definition at line 23 of file fvar.hpp.

## fvar() [2/5]

template<typename T>

stan::math::fvar< T >::fvar | ( | const fvar< T > & | x | ) |

inline

Definition at line 25 of file fvar.hpp.

## fvar() [3/5]

template<typename T>

stan::math::fvar< T >::fvar | ( | const T & | v | ) |

inline

Definition at line 27 of file fvar.hpp.

## fvar() [4/5]

template<typename T>
template<typename V >

stan::math::fvar< T >::fvar | ( | const V & | v,
|  | typename boost::enable_if_c< ad_promotable< V, T >::value >::type * | dummy = `0`
| ) |  |

inline

Definition at line 33 of file fvar.hpp.

## fvar() [5/5]

template<typename T>
template<typename TV , typename TD >

stan::math::fvar< T >::fvar | ( | const TV & | val,
|  | const TD & | deriv
| ) |  |

inline

Definition at line 43 of file fvar.hpp.

## Member Function Documentation

## operator*=() [1/2]

template<typename T>

fvar<T>& stan::math::fvar< T >::operator*= | ( | const fvar< T > & | x2 | ) |

inline

Definition at line 70 of file fvar.hpp.

## operator*=() [2/2]

template<typename T>

fvar<T>& stan::math::fvar< T >::operator*= | ( | double | x2 | ) |

inline

Definition at line 76 of file fvar.hpp.

## operator++() [1/2]

template<typename T>

fvar<T>& stan::math::fvar< T >::operator++ | ( |  | ) |

inline

Definition at line 94 of file fvar.hpp.

## operator++() [2/2]

template<typename T>

fvar<T> stan::math::fvar< T >::operator++ | ( | int |  | ) |

inline

Definition at line 99 of file fvar.hpp.

## operator+=() [1/2]

template<typename T>

fvar<T>& stan::math::fvar< T >::operator+= | ( | const fvar< T > & | x2 | ) |

inline

Definition at line 48 of file fvar.hpp.

## operator+=() [2/2]

template<typename T>

fvar<T>& stan::math::fvar< T >::operator+= | ( | double | x2 | ) |

inline

Definition at line 54 of file fvar.hpp.

## operator--() [1/2]

template<typename T>

fvar<T>& stan::math::fvar< T >::operator-- | ( |  | ) |

inline

Definition at line 105 of file fvar.hpp.

## operator--() [2/2]

template<typename T>

fvar<T> stan::math::fvar< T >::operator-- | ( | int |  | ) |

inline

Definition at line 110 of file fvar.hpp.

## operator-=() [1/2]

template<typename T>

fvar<T>& stan::math::fvar< T >::operator-= | ( | const fvar< T > & | x2 | ) |

inline

Definition at line 59 of file fvar.hpp.

## operator-=() [2/2]

template<typename T>

fvar<T>& stan::math::fvar< T >::operator-= | ( | double | x2 | ) |

inline

Definition at line 65 of file fvar.hpp.

## operator/=() [1/2]

template<typename T>

fvar<T>& stan::math::fvar< T >::operator/= | ( | const fvar< T > & | x2 | ) |

inline

Definition at line 82 of file fvar.hpp.

## operator/=() [2/2]

template<typename T>

fvar<T>& stan::math::fvar< T >::operator/= | ( | double | x2 | ) |

inline

Definition at line 88 of file fvar.hpp.

## tangent()

template<typename T>

T stan::math::fvar< T >::tangent | ( |  | ) | const

inline

Definition at line 19 of file fvar.hpp.

## val()

template<typename T>

T stan::math::fvar< T >::val | ( |  | ) | const

inline

Definition at line 18 of file fvar.hpp.

## Friends And Related Function Documentation

## operator<<

template<typename T>

std::ostream& operator<< | ( | std::ostream & | os,
|  | const fvar< T > & | v
| ) |  |

friend

Definition at line 116 of file fvar.hpp.

## Member Data Documentation

## d_

template<typename T>

T stan::math::fvar< T >::d_

Definition at line 16 of file fvar.hpp.

## val_

template<typename T>

T stan::math::fvar< T >::val_

Definition at line 15 of file fvar.hpp.

The documentation for this struct was generated from the following file:

- stan/math/fwd/core/fvar.hpp

[ Stan Home Page ] © 2011–2016, Stan Development Team.